import java.io.*;
import java.util.*;

public class experiment_pk implements Runnable {
	public static void main(String[] args) {
		new Thread(new experiment_pk()).start();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public void solve() throws IOException {
		int n = nextInt();
		int d = nextInt();
		if (n % 2 > 0) {
			out.print(d);
			out.print(' ');
		}
		for (int i = 1; i <= n / 2; i++) {
			out.print(d - 2 * i);
			out.print(' ');
			if (i == n / 2)
				out.println(d + 2 * i);
			else {
				out.print(d + 2 * i);
				out.print(' ');
			}
		}
	}

	public void run() {
		try {
			br = new BufferedReader(new FileReader("experiment.in"));
			out = new PrintWriter("experiment.out");

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
}